Count transactions matching filter
curl --request POST \
--url https://api.artu.ai/transactions/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
}
}
}
'import requests
url = "https://api.artu.ai/transactions/count"
payload = { "filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": True,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": { "operationPostalCode": "<string>" },
"MPC": { "postalCode": "<string>" },
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": { "postalCode": "<string>" }
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
} }
} }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
amount: 123,
currency: '<string>',
description: '<string>',
externalId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
relatedClientIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isAlerted: true,
alertedAt: '2023-11-07T05:31:56Z',
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
leaseStartDate: '2023-12-25',
leaseEndDate: '2023-12-25'
},
AVI: {hash: '<string>', cryptoCurrency: '<string>', cryptoAmount: 123},
INM: {operationType: '501', contractType: '<string>'},
JYS: {},
MJR: {operationPostalCode: '<string>'},
MPC: {postalCode: '<string>'},
TSC: {idNumber: '<string>', operationType: '211'},
VEH: {postalCode: '<string>'}
},
cnbv: {
TRANSMISOR: {numeroCuenta: '<string>', sucursal: '<string>', localidad: '<string>'}
}
}
}
}
})
};
fetch('https://api.artu.ai/transactions/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/transactions/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'amount' => 123,
'currency' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z',
'relatedClientIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isAlerted' => true,
'alertedAt' => '2023-11-07T05:31:56Z',
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'productId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'leaseStartDate' => '2023-12-25',
'leaseEndDate' => '2023-12-25'
],
'AVI' => [
'hash' => '<string>',
'cryptoCurrency' => '<string>',
'cryptoAmount' => 123
],
'INM' => [
'operationType' => '501',
'contractType' => '<string>'
],
'JYS' => [
],
'MJR' => [
'operationPostalCode' => '<string>'
],
'MPC' => [
'postalCode' => '<string>'
],
'TSC' => [
'idNumber' => '<string>',
'operationType' => '211'
],
'VEH' => [
'postalCode' => '<string>'
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'sucursal' => '<string>',
'localidad' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/transactions/count"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/transactions/count")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/transactions/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"count": 0
}Transactions
Count transactions matching filter
POST
/
transactions
/
count
Count transactions matching filter
curl --request POST \
--url https://api.artu.ai/transactions/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
}
}
}
'import requests
url = "https://api.artu.ai/transactions/count"
payload = { "filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": True,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": ["<string>"],
"levelNin": ["<string>"]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": { "operationPostalCode": "<string>" },
"MPC": { "postalCode": "<string>" },
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": { "postalCode": "<string>" }
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
} }
} }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
search: '<string>',
amount: 123,
currency: '<string>',
description: '<string>',
externalId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
relatedClientIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isAlerted: true,
alertedAt: '2023-11-07T05:31:56Z',
riskAssessment: {
name: '<string>',
eq: 123,
gt: 123,
gte: 123,
lt: 123,
lte: 123,
levelIn: ['<string>'],
levelNin: ['<string>']
},
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
tagIds: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
leaseStartDate: '2023-12-25',
leaseEndDate: '2023-12-25'
},
AVI: {hash: '<string>', cryptoCurrency: '<string>', cryptoAmount: 123},
INM: {operationType: '501', contractType: '<string>'},
JYS: {},
MJR: {operationPostalCode: '<string>'},
MPC: {postalCode: '<string>'},
TSC: {idNumber: '<string>', operationType: '211'},
VEH: {postalCode: '<string>'}
},
cnbv: {
TRANSMISOR: {numeroCuenta: '<string>', sucursal: '<string>', localidad: '<string>'}
}
}
}
}
})
};
fetch('https://api.artu.ai/transactions/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/transactions/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'search' => '<string>',
'amount' => 123,
'currency' => '<string>',
'description' => '<string>',
'externalId' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z',
'relatedClientIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isAlerted' => true,
'alertedAt' => '2023-11-07T05:31:56Z',
'riskAssessment' => [
'name' => '<string>',
'eq' => 123,
'gt' => 123,
'gte' => 123,
'lt' => 123,
'lte' => 123,
'levelIn' => [
'<string>'
],
'levelNin' => [
'<string>'
]
],
'productId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'tagIds' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'leaseStartDate' => '2023-12-25',
'leaseEndDate' => '2023-12-25'
],
'AVI' => [
'hash' => '<string>',
'cryptoCurrency' => '<string>',
'cryptoAmount' => 123
],
'INM' => [
'operationType' => '501',
'contractType' => '<string>'
],
'JYS' => [
],
'MJR' => [
'operationPostalCode' => '<string>'
],
'MPC' => [
'postalCode' => '<string>'
],
'TSC' => [
'idNumber' => '<string>',
'operationType' => '211'
],
'VEH' => [
'postalCode' => '<string>'
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'sucursal' => '<string>',
'localidad' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/transactions/count"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/transactions/count")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/transactions/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"search\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"externalId\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"relatedClientIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isAlerted\": true,\n \"alertedAt\": \"2023-11-07T05:31:56Z\",\n \"riskAssessment\": {\n \"name\": \"<string>\",\n \"eq\": 123,\n \"gt\": 123,\n \"gte\": 123,\n \"lt\": 123,\n \"lte\": 123,\n \"levelIn\": [\n \"<string>\"\n ],\n \"levelNin\": [\n \"<string>\"\n ]\n },\n \"productId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"tagIds\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"leaseStartDate\": \"2023-12-25\",\n \"leaseEndDate\": \"2023-12-25\"\n },\n \"AVI\": {\n \"hash\": \"<string>\",\n \"cryptoCurrency\": \"<string>\",\n \"cryptoAmount\": 123\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"contractType\": \"<string>\"\n },\n \"JYS\": {},\n \"MJR\": {\n \"operationPostalCode\": \"<string>\"\n },\n \"MPC\": {\n \"postalCode\": \"<string>\"\n },\n \"TSC\": {\n \"idNumber\": \"<string>\",\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"sucursal\": \"<string>\",\n \"localidad\": \"<string>\"\n }\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"count": 0
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?
